Summary: A utility for configuring serial ports.
Name: setserial
%define	version	2.15
Version: %{version}
Release: 2
Copyright: GPL
Group: Applications/System
Source: ftp://tsx-11.mit.edu/pub/linux/sources/sbin/setserial-%{version}.tar.gz
Patch0: setserial.patch
Buildroot: /var/tmp/setserial-root

%description
Setserial is a basic system utility for displaying or setting
serial port information. Setserial can reveal and allow you
to alter the I/O port and IRQ that a particular serial device
is using, and more.

You should install setserial because you may find it useful
for detecting and/or altering device information.

%prep
%setup -q

#%ifarch alpha sparc
#%patch0 -p1 -b .hayes
#%endif

%build
rm -f config.cache
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

%configure

%ifarch i386
make
%else
make DEFS=-DHAVE_ASM_IOCTLS_H=1
%endif

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] || exit 1
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{bin,usr/man/man8}
install -s setserial $RPM_BUILD_ROOT/bin
install setserial.8 $RPM_BUILD_ROOT/usr/man/man8

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] || exit 1
rm -rf $RPM_BUILD_ROOT

%files
%doc README rc.serial
%attr(755,root,bin) /bin/setserial
%attr(444,root,man) /usr/man/man8/setserial.8

%changelog
* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Feb 11 1999 Michael Maher <mike@redhat.com>
- fixed bug #363

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- upgraded to 2.1.14

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- pulled into distribution
- used setserial-2.12_CTI.tgz instead of setserial-2.12.tar.gz (former is
  all that sunsite has) - not sure what the difference is.

* Thu Sep 25 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- added %attr's
- added sanity check for RPM_BUILD_ROOT
- setserial is now installed into /bin, where util-linux puts it and all
  startup scripts expect it.
